## samtools 1.17

=== Makefile ===
# Makefile for samtools, utilities for the Sequence Alignment/Map format.
#
#    Copyright (C) 2008-2022 Genome Research Ltd.
#    Portions copyright (C) 2010-2012 Broad Institute.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

CC       = gcc
AR       = ar
AWK      = awk
CPPFLAGS =
#CFLAGS   = -g -Wall -O2 -pedantic -std=c99 -D_XOPEN_SOURCE=600
CFLAGS   = -g -Wall -O2
LDFLAGS  =
LIBS     =

LZ4DIR   = ./lz4
LZ4_CPPFLAGS = -I$(LZ4DIR)
LZ4_LDFLAGS  = -L$(LZ4DIR)


AOBJS=      bam_aux.o bam_index.o bam_plcmd.o sam_view.o bam_fastq.o \
            bam_cat.o bam_md.o bam_plbuf.o bam_reheader.o bam_sort.o \
            bam_rmdup.o bam_rmdupse.o bam_mate.o bam_stat.o bam_color.o \
            bamtk.o bam2bcf.o sample.o \
            cut_target.o phase.o bam2depth.o coverage.o padding.o bedcov.o bamshuf.o \
            faidx.o dict.o stats.o stats_isize.o bam_flags.o bam_split.o \
            bam_tview.o bam_tview_curses.o bam_tview_html.o bam_lpileup.o \
            bam_quickcheck.o bam_addrprg.o bam_markdup.o tmp_file.o \
            bam_ampliconclip.o amplicon_stats.o bam_import.o bam_samples.o \
            bam_consensus.o consensus_pileup.o reference.o reset.o cram_size.o
LZ4OBJS  =  $(LZ4DIR)/lz4.o

prefix      = /usr/local
exec_prefix = $(prefix)
bindir      = $(exec_prefix)/bin
datarootdir = $(prefix)/share
mandir      = $(datarootdir)/man
man1dir     = $(mandir)/man1

# Installation location for $(MISC_PROGRAMS) and $(MISC_SCRIPTS)
misc_bindir = $(bindir)

MKDIR_P = mkdir -p
INSTALL = install -p
INSTALL_DATA    = $(INSTALL) -m 644
INSTALL_DIR     = $(MKDIR_P) -m 755
INSTALL_MAN     = $(INSTALL_DATA)
INSTALL_PROGRAM = $(INSTALL)
INSTALL_SCRIPT  = $(INSTALL_PROGRAM)


PROGRAMS = samtools

MISC_PROGRAMS = \
	misc/ace2sam misc/maq2sam-long misc/maq2sam-short \
	misc/md5fa misc/md5sum-lite misc/wgsim

MISC_SCRIPTS = \
	misc/blast2sam.pl misc/bowtie2sam.pl misc/export2sam.pl \
	misc/fasta-sanitize.pl misc/interpolate_sam.pl misc/novo2sam.pl \
	misc/plot-ampliconstats misc/plot-bamstats misc/psl2sam.pl \
	misc/sam2vcf.pl misc/samtools.pl misc/seq_cache_populate.pl \
	misc/soap2sam.pl misc/wgsim_eval.pl misc/zoom2sam.pl

TEST_PROGRAMS = \
	test/merge/test_bam_translate \
	test/merge/test_rtrans_build \
	test/merge/test_trans_tbl_init \
	test/split/test_count_rg \
	test/split/test_expand_format_string \
	test/split/test_filter_header_rg \
	test/split/test_parse_args \
	test/vcf-miniview

all: $(PROGRAMS) $(MISC_PROGRAMS) $(TEST_PROGRAMS)

ALL_CPPFLAGS = -I. $(HTSLIB_CPPFLAGS) $(LZ4_CPPFLAGS) $(CPPFLAGS)
ALL_LDFLAGS  = $(HTSLIB_LDFLAGS) $(LZ4_LDFLAGS) $(LDFLAGS)
ALL_LIBS     = -lz $(LIBS)

# Usually config.mk and config.h are generated by running configure
# or config.status, but if those aren't used create defaults here.

config.mk:
	@sed -e '/^prefix/,/^LIBS/d;s/@Hsource@//;s/@Hinstall@/#/;s#@HTSDIR@#../htslib#g;s/@HTSLIB_CPPFLAGS@/-I$$(HTSDIR)/g;s/@CURSES_LIB@/-lcurses/g' config.mk.in > $@

config.h:
	echo '/* Basic config.h generated by Makefile */' > $@
	echo '#define HAVE_CURSES' >> $@
	echo '#define HAVE_CURSES_H' >> $@

include config.mk

# If not using GNU make, you need to copy the version number from version.sh
# into here.
PACKAGE_VERSION = $(shell ./version.sh)

# Force version.h to be remade if $(PACKAGE_VERSION) has changed.
version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))

# If you don't have GNU Make but are building from a Git repository, you may
# wish to replace this with a rule that always rebuilds version.h:
# version.h: force
#	echo '#define SAMTOOLS_VERSION "`git describe --always --dirty`"' > $@
version.h:
	echo '#define SAMTOOLS_VERSION "$(PACKAGE_VERSION)"' > $@
	echo '#define SAMTOOLS_CC "$(CC)"' >> $@
	echo '#define SAMTOOLS_CPPFLAGS "$(CPPFLAGS)"' >> $@
	echo '#define SAMTOOLS_CFLAGS "$(CFLAGS)"' >> $@
	echo '#define SAMTOOLS_LDFLAGS "$(LDFLAGS)"' >> $@
	echo '#define SAMTOOLS_HTSDIR "$(HTSDIR)"' >> $@
	echo '#define SAMTOOLS_LIBS "$(LIBS)"' >> $@
	echo '#define SAMTOOLS_CURSES_LIB "$(CURSES_LIB)"' >> $@

print-version:
	@echo $(PACKAGE_VERSION)


.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) $(ALL_CPPFLAGS) -c -o $@ $<

LIBST_OBJS = sam_opts.o sam_utils.o bedidx.o bam.o


samtools: $(AOBJS) $(LZ4OBJS) libst.a $(HTSLIB)
	$(CC) $(ALL_LDFLAGS) -o $@ $(AOBJS) $(LZ4OBJS) libst.a $(HTSLIB_LIB) $(CURSES_LIB) -lm $(ALL_LIBS) -lpthread

# For building samtools and its test suite only: NOT to be installed.
libst.a: $(LIBST_OBJS)
	@-rm -f $@
	$(AR) -rcs $@ $(LIBST_OBJS)


bam_h = bam.h $(htslib_sam_h)
bam2bcf_h = bam2bcf.h $(htslib_hts_h) $(htslib_vcf_h)
bam_lpileup_h = bam_lpileup.h $(htslib_sam_h)
bam_plbuf_h = bam_plbuf.h $(htslib_sam_h)
bam_tview_h = bam_tview.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_faidx_h) $(bam2bcf_h) $(htslib_khash_h) $(bam_lpileup_h)
bedidx_h = bedidx.h $(htslib_hts_h)
consensus_pileup_h = consensus_pileup.h $(htslib_sam_h)
sam_opts_h = sam_opts.h $(htslib_hts_h)
sample_h = sample.h $(htslib_kstring_h)
samtools_h = samtools.h $(htslib_hts_defs_h) $(htslib_sam_h)
stats_isize_h = stats_isize.h $(htslib_khash_h)
tmp_file_h = tmp_file.h $(htslib_sam_h) $(LZ4DIR)/lz4.h

bam.o: bam.c config.h $(bam_h) $(htslib_kstring_h)
bam2bcf.o: bam2bcf.c config.h $(htslib_hts_h) $(htslib_sam_h) $(bam2bcf_h)
bam2depth.o: bam2depth.c config.h $(htslib_sam_h) $(samtools_h) $(bedidx_h) $(sam_opts_h) $(htslib_khash_h)
coverage.o: coverage.c config.h $(htslib_sam_h) $(htslib_hts_h) $(samtools_h) $(sam_opts_h)
bam_addrprg.o: bam_addrprg.c config.h $(htslib_sam_h) $(htslib_kstring_h) $(samtools_h) $(htslib_thread_pool_h) $(sam_opts_h)
bam_aux.o: bam_aux.c config.h $(htslib_sam_h)
bam_cat.o: bam_cat.c config.h $(htslib_bgzf_h) $(htslib_sam_h) $(htslib_cram_h) $(htslib_kstring_h) $(samtools_h) $(sam_opts_h)
bam_color.o: bam_color.c config.h $(htslib_sam_h)
bam_fastq.o: bam_fastq.c config.h $(htslib_sam_h) $(htslib_klist_h) $(htslib_kstring_h) $(htslib_bgzf_h) $(htslib_thread_pool_h) $(samtools_h) $(sam_opts_h)
bam_import.o: bam_import.c config.h $(htslib_sam_h) $(htslib_thread_pool_h) $(samtools_h) $(sam_opts_h)
bam_index.o: bam_index.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_hfile_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h)
bam_lpileup.o: bam_lpileup.c config.h $(bam_plbuf_h) $(bam_lpileup_h) splaysort.h
bam_mate.o: bam_mate.c config.h $(htslib_thread_pool_h) $(sam_opts_h) $(htslib_kstring_h) $(htslib_sam_h) $(samtools_h)
bam_md.o: bam_md.c config.h $(htslib_faidx_h) $(htslib_sam_h) $(htslib_kstring_h) $(htslib_thread_pool_h) $(sam_opts_h) $(samtools_h)
bam_plbuf.o: bam_plbuf.c config.h $(htslib_hts_h) $(htslib_sam_h) $(bam_plbuf_h)
bam_consensus.o: bam_consensus.c config.h $(htslib_sam_h) $(samtools_h) $(sam_opts_h) $(bam_plbuf_h) $(consensus_pileup_h)
bam_plcmd.o: bam_plcmd.c config.h $(htslib_sam_h) $(htslib_faidx_h) $(htslib_kstring_h) $(htslib_klist_h) $(htslib_khash_str2int_h) $(samtools_h) $(bedidx_h) $(sam_opts_h) $(sample_h) $(htslib_cram_h) $(bam_plbuf_h)
bam_quickcheck.o: bam_quickcheck.c config.h $(htslib_hts_h) $(htslib_sam_h)
bam_reheader.o: bam_reheader.c config.h $(htslib_bgzf_h) $(htslib_sam_h) $(htslib_hfile_h) $(htslib_cram_h) $(samtools_h)
bam_rmdup.o: bam_rmdup.c config.h $(htslib_sam_h) $(sam_opts_h) $(samtools_h) $(bam_h) $(htslib_khash_h)
bam_rmdupse.o: bam_rmdupse.c config.h $(bam_h) $(htslib_sam_h) $(htslib_khash_h) $(htslib_klist_h) $(samtools_h)
bam_sort.o: bam_sort.c config.h $(htslib_ksort_h) $(htslib_hts_os_h) $(htslib_khash_h) $(htslib_klist_h) $(htslib_kstring_h) $(htslib_sam_h) $(htslib_hts_endian_h) $(sam_opts_h) $(samtools_h) $(bedidx_h) $(htslib_cram_h) $(bam_h)
bam_split.o: bam_split.c config.h $(htslib_sam_h) $(htslib_khash_h) $(htslib_kstring_h) $(htslib_cram_h) $(htslib_thread_pool_h) $(sam_opts_h) $(samtools_h)
bam_stat.o: bam_stat.c config.h $(htslib_sam_h) $(samtools_h) $(sam_opts_h)
bam_tview.o: bam_tview.c config.h $(bam_tview_h) $(htslib_faidx_h) $(htslib_sam_h) $(htslib_bgzf_h) $(samtools_h) $(sam_opts_h)
bam_tview_curses.o: bam_tview_curses.c config.h $(bam_tview_h)
bam_tview_html.o: bam_tview_html.c config.h $(bam_tview_h)
bam_flags.o: bam_flags.c config.h $(htslib_sam_h) $(samtools_h)
bamshuf.o: bamshuf.c config.h $(htslib_sam_h) $(htslib_hts_h) $(htslib_ksort_h) $(samtools_h) $(htslib_thread_pool_h) $(sam_opts_h) $(htslib_khash_h)
bamtk.o: bamtk.c config.h $(htslib_hts_h) $(htslib_hfile_h) $(samtools_h) version.h
bedcov.o: bedcov.c config.h $(htslib_kstring_h) $(htslib_sam_h) $(htslib_thread_pool_h) $(samtools_h) $(sam_opts_h) $(htslib_kseq_h)
bedidx.o: bedidx.c config.h $(bedidx_h) $(htslib_ksort_h) $(htslib_kseq_h) $(htslib_khash_h)
consensus_pileup.o: consensus_pileup.c config.h $(htslib_sam_h) $(consensus_pileup_h)
cram_size.o: cram_size.c config.h $(htslib_sam_h)
cut_target.o: cut_target.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_faidx_h) $(samtools_h) $(sam_opts_h)
dict.o: dict.c config.h $(htslib_khash_h) $(htslib_kseq_h) $(htslib_hts_h) $(samtools_h)
faidx.o: faidx.c config.h $(htslib_faidx_h) $(htslib_hts_h) $(htslib_hfile_h) $(htslib_kstring_h) $(samtools_h)
padding.o: padding.c config.h $(htslib_kstring_h) $(htslib_sam_h) $(htslib_faidx_h) $(sam_opts_h) $(samtools_h)
phase.o: phase.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_kstring_h) $(sam_opts_h) $(samtools_h) $(htslib_hts_os_h) $(htslib_kseq_h) $(htslib_khash_h) $(htslib_ksort_h)
reference.o: reference.c config.h $(htslib_sam_h) $(htslib_cram_h) $(samtools_h) $(sam_opts_h)
sam_opts.o: sam_opts.c config.h $(sam_opts_h)
sam_utils.o: sam_utils.c config.h $(samtools_h)
sam_view.o: sam_view.c config.h $(htslib_sam_h) $(htslib_faidx_h) $(htslib_khash_h) $(htslib_kstring_h) $(htslib_thread_pool_h) $(htslib_hts_expr_h) $(samtools_h) $(sam_opts_h) $(bam_h) $(bedidx_h)
sample.o: sample.c config.h $(sample_h) $(htslib_khash_h)
stats_isize.o: stats_isize.c config.h $(stats_isize_h) $(htslib_khash_h)
stats.o: stats.c config.h $(htslib_faidx_h) $(htslib_sam_h) $(htslib_hts_h) $(htslib_hts_defs_h) $(samtools_h) $(htslib_khash_h) $(htslib_kstring_h) $(stats_isize_h) $(sam_opts_h) $(bedidx_h)
amplicon_stats.o: amplicon_stats.c config.h $(htslib_sam_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h) bam_ampliconclip.h
bam_markdup.o: bam_markdup.c config.h $(htslib_thread_pool_h) $(htslib_sam_h) $(sam_opts_h) $(samtools_h) $(htslib_khash_h) $(htslib_klist_h) $(htslib_kstring_h) $(tmp_file_h) $(bam_h)
tmp_file.o: tmp_file.c config.h $(tmp_file_h) $(htslib_sam_h)
bam_ampliconclip.o: bam_ampliconclip.c config.h $(htslib_thread_pool_h) $(sam_opts_h) $(htslib_hts_h) $(htslib_hfile_h) $(htslib_kstring_h) $(htslib_sam_h) $(samtools_h) bam_ampliconclip.h
bam_samples.o: bam_samples.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_faidx_h) $(htslib_khash_h) $(htslib_kseq_h) $(samtools_h)
reset.o: reset.c $(samtools_h) $(htslib_sam_h) $(sam_opts_h) $(htslib_thread_pool_h) $(htslib_khash_h)

# Maintainer source code checks
# - copyright boilerplate presence
# - tab and trailing space detection

=== debian/changelog ===
samtools (1.17-1) unstable; urgency=medium

  * Migrate samtools to unstable.

 -- Étienne Mollier <emollier@debian.org>  Thu, 22 Jun 2023 22:31:55 +0200

samtools (1.17-0+exp1) experimental; urgency=medium

  * New upstream version (Closes: #1037431)
  * Standards-Version: 4.6.2 (routine-update)
  * [aebe148] samtools-fasta-q-whatis.patch: unfuzz
  * [dac7490] d/control: clean obsolete package from Breaks:
  * [66a6b6e] d/control: build depends on libhts-dev (>= 1.17~)
    Trying to build against older versions will result a build failure.
  * [f3e3ea1] d/control: build depends on libncurses-dev.
    This replaces the build dependency on libncurses5-dev, which is
    flagged as obsolete by lintian.
  * [7adec78] d/*.lintian-overrides: update mismatched override
  * [dddb318] typos.patch: new patch.
    This fixes various typos caught by a few of the lintian parsers.

 -- Étienne Mollier <emollier@debian.org>  Sun, 18 Jun 2023 23:26:47 +0200

## samtools 1.18

=== debian/changelog ===
samtools (1.18-1) unstable; urgency=medium

  * New upstream version
  * Autopkgtest is now using run-unit-test as user example

 -- Andreas Tille <tille@debian.org>  Wed, 08 Nov 2023 09:05:57 +0100

=== debian/control ===
Source: samtools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               bash-completion,
               libio-pty-perl <!nocheck>,
               libncurses-dev,
               libhts-dev (>= 1.17~),
               zlib1g-dev,
               automake,
               autoconf-archive,
               pkg-config,
               tabix,
               liblzma-dev,
               libbz2-dev
# tabix is needed for the regression tests.
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/samtools
Vcs-Git: https://salsa.debian.org/med-team/samtools.git
Homepage: https://www.htslib.org/
Rules-Requires-Root: no

Package: samtools
Architecture: any
# older iva & bio-tradis have bad samtools version parsing code
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: cwltool
Description: processing sequence alignments in SAM, BAM and CRAM formats
 Samtools is a set of utilities that manipulate nucleotide sequence alignments
 in the binary BAM format. It imports from and exports to the ascii SAM
 (Sequence Alignment/Map) and CRAM formats, does sorting, merging and indexing,
 and allows one to retrieve reads in any regions swiftly. It is designed to work
 on a stream, and is able to open a BAM or CRAM (not SAM) file on a remote FTP
 or HTTP server.

Package: samtools-test
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libio-pty-perl
Description: test files for the samtools package
 Samtools is a set of utilities that manipulate nucleotide sequence alignments
 in the binary BAM format.
 .
 This package contains test files for the samtools package.

## samtools 1.19

=== Makefile ===
--- 
+++ 
@@ -152,14 +152,16 @@
 
 bam_h = bam.h $(htslib_sam_h)
 bam2bcf_h = bam2bcf.h $(htslib_hts_h) $(htslib_vcf_h)
+bam_ampliconclip_h = bam_ampliconclip.h $(htslib_khash_h)
 bam_lpileup_h = bam_lpileup.h $(htslib_sam_h)
 bam_plbuf_h = bam_plbuf.h $(htslib_sam_h)
 bam_tview_h = bam_tview.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_faidx_h) $(bam2bcf_h) $(htslib_khash_h) $(bam_lpileup_h)
 bedidx_h = bedidx.h $(htslib_hts_h)
 consensus_pileup_h = consensus_pileup.h $(htslib_sam_h)
 sam_opts_h = sam_opts.h $(htslib_hts_h)
+sam_utils_h = sam_utils.h $(htslib_khash_h) $(htslib_sam_h)
 sample_h = sample.h $(htslib_kstring_h)
-samtools_h = samtools.h $(htslib_hts_defs_h) $(htslib_sam_h)
+samtools_h = samtools.h $(htslib_hts_defs_h) $(htslib_sam_h) $(sam_utils_h)
 stats_isize_h = stats_isize.h $(htslib_khash_h)
 tmp_file_h = tmp_file.h $(htslib_sam_h) $(LZ4DIR)/lz4.h
 
@@ -178,13 +180,13 @@
 bam_mate.o: bam_mate.c config.h $(htslib_thread_pool_h) $(sam_opts_h) $(htslib_kstring_h) $(htslib_sam_h) $(samtools_h)
 bam_md.o: bam_md.c config.h $(htslib_faidx_h) $(htslib_sam_h) $(htslib_kstring_h) $(htslib_thread_pool_h) $(sam_opts_h) $(samtools_h)
 bam_plbuf.o: bam_plbuf.c config.h $(htslib_hts_h) $(htslib_sam_h) $(bam_plbuf_h)
-bam_consensus.o: bam_consensus.c config.h $(htslib_sam_h) $(samtools_h) $(sam_opts_h) $(bam_plbuf_h) $(consensus_pileup_h)
+bam_consensus.o: bam_consensus.c config.h $(htslib_sam_h) $(htslib_hfile_h) $(samtools_h) $(sam_opts_h) $(bam_plbuf_h) $(consensus_pileup_h)
 bam_plcmd.o: bam_plcmd.c config.h $(htslib_sam_h) $(htslib_faidx_h) $(htslib_kstring_h) $(htslib_klist_h) $(htslib_khash_str2int_h) $(samtools_h) $(bedidx_h) $(sam_opts_h) $(sample_h) $(htslib_cram_h) $(bam_plbuf_h)
 bam_quickcheck.o: bam_quickcheck.c config.h $(htslib_hts_h) $(htslib_sam_h)
 bam_reheader.o: bam_reheader.c config.h $(htslib_bgzf_h) $(htslib_sam_h) $(htslib_hfile_h) $(htslib_cram_h) $(samtools_h)
 bam_rmdup.o: bam_rmdup.c config.h $(htslib_sam_h) $(sam_opts_h) $(samtools_h) $(bam_h) $(htslib_khash_h)
 bam_rmdupse.o: bam_rmdupse.c config.h $(bam_h) $(htslib_sam_h) $(htslib_khash_h) $(htslib_klist_h) $(samtools_h)
-bam_sort.o: bam_sort.c config.h $(htslib_ksort_h) $(htslib_hts_os_h) $(htslib_khash_h) $(htslib_klist_h) $(htslib_kstring_h) $(htslib_sam_h) $(htslib_hts_endian_h) $(sam_opts_h) $(samtools_h) $(bedidx_h) $(htslib_cram_h) $(bam_h)
+bam_sort.o: bam_sort.c config.h $(htslib_ksort_h) $(htslib_hts_os_h) $(htslib_khash_h) $(htslib_klist_h) $(htslib_kstring_h) $(htslib_sam_h) $(htslib_hts_endian_h) $(htslib_cram_h) $(htslib_thread_pool_h) $(sam_opts_h) $(samtools_h) $(bedidx_h) $(bam_h)
 bam_split.o: bam_split.c config.h $(htslib_sam_h) $(htslib_khash_h) $(htslib_kstring_h) $(htslib_cram_h) $(htslib_thread_pool_h) $(sam_opts_h) $(samtools_h)
 bam_stat.o: bam_stat.c config.h $(htslib_sam_h) $(samtools_h) $(sam_opts_h)
 bam_tview.o: bam_tview.c config.h $(bam_tview_h) $(htslib_faidx_h) $(htslib_sam_h) $(htslib_bgzf_h) $(samtools_h) $(sam_opts_h)
@@ -196,7 +198,7 @@
 bedcov.o: bedcov.c config.h $(htslib_kstring_h) $(htslib_sam_h) $(htslib_thread_pool_h) $(samtools_h) $(sam_opts_h) $(htslib_kseq_h)
 bedidx.o: bedidx.c config.h $(bedidx_h) $(htslib_ksort_h) $(htslib_kseq_h) $(htslib_khash_h)
 consensus_pileup.o: consensus_pileup.c config.h $(htslib_sam_h) $(consensus_pileup_h)
-cram_size.o: cram_size.c config.h $(htslib_sam_h)
+cram_size.o: cram_size.c config.h $(htslib_bgzf_h) $(htslib_sam_h) $(htslib_cram_h) $(htslib_kstring_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h) $(htslib_hfile_h)
 cut_target.o: cut_target.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_faidx_h) $(samtools_h) $(sam_opts_h)
 dict.o: dict.c config.h $(htslib_khash_h) $(htslib_kseq_h) $(htslib_hts_h) $(samtools_h)
 faidx.o: faidx.c config.h $(htslib_faidx_h) $(htslib_hts_h) $(htslib_hfile_h) $(htslib_kstring_h) $(samtools_h)
@@ -204,18 +206,12 @@
 phase.o: phase.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_kstring_h) $(sam_opts_h) $(samtools_h) $(htslib_hts_os_h) $(htslib_kseq_h) $(htslib_khash_h) $(htslib_ksort_h)
 reference.o: reference.c config.h $(htslib_sam_h) $(htslib_cram_h) $(samtools_h) $(sam_opts_h)
 sam_opts.o: sam_opts.c config.h $(sam_opts_h)
-sam_utils.o: sam_utils.c config.h $(samtools_h)
-sam_view.o: sam_view.c config.h $(htslib_sam_h) $(htslib_faidx_h) $(htslib_khash_h) $(htslib_kstring_h) $(htslib_thread_pool_h) $(htslib_hts_expr_h) $(samtools_h) $(sam_opts_h) $(bam_h) $(bedidx_h)
+sam_utils.o: sam_utils.c config.h $(sam_utils_h)
+sam_view.o: sam_view.c config.h $(htslib_sam_h) $(htslib_faidx_h) $(htslib_khash_h) $(htslib_kstring_h) $(htslib_thread_pool_h) $(htslib_hts_expr_h) $(samtools_h) $(sam_opts_h) $(bam_h) $(bedidx_h) $(sam_utils_h)
 sample.o: sample.c config.h $(sample_h) $(htslib_khash_h)
 stats_isize.o: stats_isize.c config.h $(stats_isize_h) $(htslib_khash_h)
 stats.o: stats.c config.h $(htslib_faidx_h) $(htslib_sam_h) $(htslib_hts_h) $(htslib_hts_defs_h) $(samtools_h) $(htslib_khash_h) $(htslib_kstring_h) $(stats_isize_h) $(sam_opts_h) $(bedidx_h)
-amplicon_stats.o: amplicon_stats.c config.h $(htslib_sam_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h) bam_ampliconclip.h
+amplicon_stats.o: amplicon_stats.c config.h $(htslib_sam_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h) $(bam_ampliconclip_h)
 bam_markdup.o: bam_markdup.c config.h $(htslib_thread_pool_h) $(htslib_sam_h) $(sam_opts_h) $(samtools_h) $(htslib_khash_h) $(htslib_klist_h) $(htslib_kstring_h) $(tmp_file_h) $(bam_h)
 tmp_file.o: tmp_file.c config.h $(tmp_file_h) $(htslib_sam_h)
-bam_ampliconclip.o: bam_ampliconclip.c config.h $(htslib_thread_pool_h) $(sam_opts_h) $(htslib_hts_h) $(htslib_hfile_h) $(htslib_kstring_h) $(htslib_sam_h) $(samtools_h) bam_ampliconclip.h
-bam_samples.o: bam_samples.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_faidx_h) $(htslib_khash_h) $(htslib_kseq_h) $(samtools_h)
-reset.o: reset.c $(samtools_h) $(htslib_sam_h) $(sam_opts_h) $(htslib_thread_pool_h) $(htslib_khash_h)
-
-# Maintainer source code checks
-# - copyright boilerplate presence
-# - tab and trailing space detection
+bam_ampliconclip.o: bam_ampliconclip.c config.h $(htslib_thread_pool_h) $(sam_opts_h) $(htslib_hts_h) $(htslib_hfile_h) $(htslib_kstring_h) $(htslib_sam_h) $(samtools_h) $(bam_ampliconclip_h)

=== debian/changelog ===
samtools (1.19-1) unstable; urgency=medium

  * [73082b5] New upstream version 1.19
  * [b86781d] d/rules: adjust dh_instalchangelogs.
    Upstream NEWS file has been renamed NEWS.md.

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 16:17:11 +0100

## samtools 1.19.2

=== debian/changelog ===
samtools (1.19.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:57:34 +1100

samtools (1.19.2-1build1) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:54:00 +0100

samtools (1.19.2-1) unstable; urgency=medium

  * [3f34445] New upstream version 1.19.2
  * [e0d4f37] d/control: replace pkg-config by pkgconf.

 -- Étienne Mollier <emollier@debian.org>  Sat, 17 Feb 2024 18:22:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: samtools
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
@@ -13,7 +14,7 @@
                zlib1g-dev,
                automake,
                autoconf-archive,
-               pkg-config,
+               pkgconf,
                tabix,
                liblzma-dev,
                libbz2-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export CURSES_LIB=-lcurses

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
ifneq (,$(filter $(DEB_HOST_ARCH),i386 kfreebsd-i386 hurd-i386))
  export DEB_CFLAGS_MAINT_APPEND=-ffloat-store
endif

%:
	dh $@

override_dh_auto_clean:
	rm -f config.mk
	touch config.mk
	dh_auto_clean --

override_dh_auto_configure:
	touch config.mk
	aclocal --force -I debian/ -I /usr/share/aclocal
	autoconf
	dh_auto_configure -- --with-htslib=system

override_dh_auto_build:
	dh_auto_build -- \
	  CFLAGS="$$(dpkg-buildflags --get CFLAGS)" \
	  CPPFLAGS="\$$(DFLAGS) \$$(INCLUDES) $$(dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$$(dpkg-buildflags --get LDFLAGS)"

# Fix several issues in the manual pages.
execute_before_dh_installman:
	# Fix whatis entries for subcommands; "samtools subcommand \- desc."
	# will confuse the lexer, but "samtools-subcommand \- desc." will work.
	sed -i '/^\.SH NAME/{n;s/^\([^ ]\+\) \([^ ]\+\) \\- /\1-\2 \\- /}' \
		debian/*/usr/share/man/man*/*.*
	# .EX expects a indentation width.
	sed -i 's/^.EX$$/.EX 8/' debian/*/usr/share/man/man*/*.*

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (,$(filter $(DEB_HOST_ARCH),mipsel))
	dh_auto_test -- BGZIP=/usr/bin/bgzip
else
	dh_auto_test -- BGZIP=/usr/bin/bgzip || true
endif
endif

override_dh_auto_install:
	dh_auto_install -- \
	  prefix=/usr
	make clean

override_dh_install:
	dh_install
	# Fix Perl interpreter PATH
	for pscript in `grep -Rl '#!/usr/bin/env \+perl' debian/*` ; do \
	    sed -i '1s?#!/usr/bin/env \+perl?#!/usr/bin/perl?' $${pscript} ; \
	done
	# Disable the executable bit on a dataset.
	if [ -d debian/samtools-test ] \
	; then chmod 0644 debian/samtools-test/usr/share/samtools/test/ampliconclip/ac_test.bed \
	; fi

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md

## samtools 1.20

=== debian/changelog ===
samtools (1.20-3) unstable; urgency=medium

  * [56a4a28] d/rules: fix no-arch-all builds.
    The initial issue flown below radar due to leftover htslib version
    discrepancy, triggering the build failure too early.

 -- Étienne Mollier <emollier@debian.org>  Thu, 30 May 2024 20:52:53 +0200

samtools (1.20-2) unstable; urgency=medium

  * [832f44a] d/control: build depends on libhts-dev >= 1.20~.

 -- Étienne Mollier <emollier@debian.org>  Thu, 30 May 2024 20:03:04 +0200

samtools (1.20-1) unstable; urgency=medium

  * [6733c3c] New upstream version 1.20
  * [2b57a20] d/copyright: update copyright year.
  * [4f1b242] d/control: declare compliance to standards version 4.7.0.
  * [922ea17] d/rules: fix permissions of a data file in samtools-test.

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 May 2024 15:14:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: samtools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>
@@ -10,7 +9,7 @@
                bash-completion,
                libio-pty-perl <!nocheck>,
                libncurses-dev,
-               libhts-dev (>= 1.17~),
+               libhts-dev (>= 1.20~),
                zlib1g-dev,
                automake,
                autoconf-archive,
@@ -19,7 +18,7 @@
                liblzma-dev,
                libbz2-dev
 # tabix is needed for the regression tests.
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/samtools
 Vcs-Git: https://salsa.debian.org/med-team/samtools.git
 Homepage: https://www.htslib.org/

## samtools 1.21

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for samtools, utilities for the Sequence Alignment/Map format.
 #
-#    Copyright (C) 2008-2022 Genome Research Ltd.
+#    Copyright (C) 2008-2022, 2024 Genome Research Ltd.
 #    Portions copyright (C) 2010-2012 Broad Institute.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
@@ -171,9 +171,9 @@
 coverage.o: coverage.c config.h $(htslib_sam_h) $(htslib_hts_h) $(samtools_h) $(sam_opts_h)
 bam_addrprg.o: bam_addrprg.c config.h $(htslib_sam_h) $(htslib_kstring_h) $(samtools_h) $(htslib_thread_pool_h) $(sam_opts_h)
 bam_aux.o: bam_aux.c config.h $(htslib_sam_h)
-bam_cat.o: bam_cat.c config.h $(htslib_bgzf_h) $(htslib_sam_h) $(htslib_cram_h) $(htslib_kstring_h) $(samtools_h) $(sam_opts_h)
+bam_cat.o: bam_cat.c config.h $(htslib_bgzf_h) $(htslib_sam_h) $(htslib_cram_h) $(htslib_kstring_h) $(htslib_hfile_h) $(samtools_h) $(sam_opts_h)
 bam_color.o: bam_color.c config.h $(htslib_sam_h)
-bam_fastq.o: bam_fastq.c config.h $(htslib_sam_h) $(htslib_klist_h) $(htslib_kstring_h) $(htslib_bgzf_h) $(htslib_thread_pool_h) $(samtools_h) $(sam_opts_h)
+bam_fastq.o: bam_fastq.c config.h $(htslib_sam_h) $(htslib_klist_h) $(htslib_kstring_h) $(htslib_bgzf_h) $(htslib_thread_pool_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h)
 bam_import.o: bam_import.c config.h $(htslib_sam_h) $(htslib_thread_pool_h) $(samtools_h) $(sam_opts_h)
 bam_index.o: bam_index.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_hfile_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h)
 bam_lpileup.o: bam_lpileup.c config.h $(bam_plbuf_h) $(bam_lpileup_h) splaysort.h
@@ -201,7 +201,7 @@
 cram_size.o: cram_size.c config.h $(htslib_bgzf_h) $(htslib_sam_h) $(htslib_cram_h) $(htslib_kstring_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h) $(htslib_hfile_h)
 cut_target.o: cut_target.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_faidx_h) $(samtools_h) $(sam_opts_h)
 dict.o: dict.c config.h $(htslib_khash_h) $(htslib_kseq_h) $(htslib_hts_h) $(samtools_h)
-faidx.o: faidx.c config.h $(htslib_faidx_h) $(htslib_hts_h) $(htslib_hfile_h) $(htslib_kstring_h) $(samtools_h)
+faidx.o: faidx.c config.h $(htslib_faidx_h) $(htslib_hts_h) $(htslib_hfile_h) $(htslib_kstring_h) $(htslib_bgzf_h) $(htslib_thread_pool_h) $(sam_opts_h) $(samtools_h)
 padding.o: padding.c config.h $(htslib_kstring_h) $(htslib_sam_h) $(htslib_faidx_h) $(sam_opts_h) $(samtools_h)
 phase.o: phase.c config.h $(htslib_hts_h) $(htslib_sam_h) $(htslib_kstring_h) $(sam_opts_h) $(samtools_h) $(htslib_hts_os_h) $(htslib_kseq_h) $(htslib_khash_h) $(htslib_ksort_h)
 reference.o: reference.c config.h $(htslib_sam_h) $(htslib_cram_h) $(samtools_h) $(sam_opts_h)
@@ -214,4 +214,3 @@
 amplicon_stats.o: amplicon_stats.c config.h $(htslib_sam_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h) $(bam_ampliconclip_h)
 bam_markdup.o: bam_markdup.c config.h $(htslib_thread_pool_h) $(htslib_sam_h) $(sam_opts_h) $(samtools_h) $(htslib_khash_h) $(htslib_klist_h) $(htslib_kstring_h) $(tmp_file_h) $(bam_h)
 tmp_file.o: tmp_file.c config.h $(tmp_file_h) $(htslib_sam_h)
-bam_ampliconclip.o: bam_ampliconclip.c config.h $(htslib_thread_pool_h) $(sam_opts_h) $(htslib_hts_h) $(htslib_hfile_h) $(htslib_kstring_h) $(htslib_sam_h) $(samtools_h) $(bam_ampliconclip_h)

=== debian/changelog ===
samtools (1.21-1) unstable; urgency=medium

  * Migrate samtools 1.21 from experimental to unstable.
  * [0f4e00b] reproducible.patch: normalise Last-Update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Thu, 06 Feb 2025 21:55:02 +0100

samtools (1.21-0+exp1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * d/rules: build-depend on newer htslib 1.21. Closes: #1087456

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Nov 2024 12:35:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                bash-completion,
                libio-pty-perl <!nocheck>,
                libncurses-dev,
-               libhts-dev (>= 1.20~),
+               libhts-dev (>= 1.21~),
                zlib1g-dev,
                automake,
                autoconf-archive,

## samtools 1.22.1

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 AR       = ar
 AWK      = awk
 CPPFLAGS =
-#CFLAGS   = -g -Wall -O2 -pedantic -std=c99 -D_XOPEN_SOURCE=600
+#CFLAGS   = -g -Wall -O2 -pedantic -std=c99 -D_XOPEN_SOURCE=700
 CFLAGS   = -g -Wall -O2
 LDFLAGS  =
 LIBS     =
@@ -44,7 +44,8 @@
             bam_tview.o bam_tview_curses.o bam_tview_html.o bam_lpileup.o \
             bam_quickcheck.o bam_addrprg.o bam_markdup.o tmp_file.o \
             bam_ampliconclip.o amplicon_stats.o bam_import.o bam_samples.o \
-            bam_consensus.o consensus_pileup.o reference.o reset.o cram_size.o
+            bam_consensus.o consensus_pileup.o reference.o reset.o cram_size.o \
+            bam_checksum.o
 LZ4OBJS  =  $(LZ4DIR)/lz4.o
 
 prefix      = /usr/local
@@ -180,7 +181,8 @@
 bam_mate.o: bam_mate.c config.h $(htslib_thread_pool_h) $(sam_opts_h) $(htslib_kstring_h) $(htslib_sam_h) $(samtools_h)
 bam_md.o: bam_md.c config.h $(htslib_faidx_h) $(htslib_sam_h) $(htslib_kstring_h) $(htslib_thread_pool_h) $(sam_opts_h) $(samtools_h)
 bam_plbuf.o: bam_plbuf.c config.h $(htslib_hts_h) $(htslib_sam_h) $(bam_plbuf_h)
-bam_consensus.o: bam_consensus.c config.h $(htslib_sam_h) $(htslib_hfile_h) $(samtools_h) $(sam_opts_h) $(bam_plbuf_h) $(consensus_pileup_h)
+bam_checksum.o: bam_checksum.c config.h $(htslib_sam_h) $(htslib_khash_h) $(htslib_kstring_h) $(htslib_hts_endian_h) $(sam_opts_h) $(sam_utils_h) $(samtools_h)
+bam_consensus.o: bam_consensus.c bam_consensus_tab.h config.h $(htslib_sam_h) $(htslib_hfile_h) $(htslib_faidx_h) $(htslib_thread_pool_h) $(htslib_cram_h) $(samtools_h) $(sam_opts_h) $(bam_plbuf_h) $(consensus_pileup_h)
 bam_plcmd.o: bam_plcmd.c config.h $(htslib_sam_h) $(htslib_faidx_h) $(htslib_kstring_h) $(htslib_klist_h) $(htslib_khash_str2int_h) $(samtools_h) $(bedidx_h) $(sam_opts_h) $(sample_h) $(htslib_cram_h) $(bam_plbuf_h)
 bam_quickcheck.o: bam_quickcheck.c config.h $(htslib_hts_h) $(htslib_sam_h)
 bam_reheader.o: bam_reheader.c config.h $(htslib_bgzf_h) $(htslib_sam_h) $(htslib_hfile_h) $(htslib_cram_h) $(samtools_h)
@@ -207,10 +209,8 @@
 reference.o: reference.c config.h $(htslib_sam_h) $(htslib_cram_h) $(samtools_h) $(sam_opts_h)
 sam_opts.o: sam_opts.c config.h $(sam_opts_h)
 sam_utils.o: sam_utils.c config.h $(sam_utils_h)
-sam_view.o: sam_view.c config.h $(htslib_sam_h) $(htslib_faidx_h) $(htslib_khash_h) $(htslib_kstring_h) $(htslib_thread_pool_h) $(htslib_hts_expr_h) $(samtools_h) $(sam_opts_h) $(bam_h) $(bedidx_h) $(sam_utils_h)
+sam_view.o: sam_view.c config.h $(htslib_sam_h) $(htslib_faidx_h) $(htslib_khash_h) $(htslib_kstring_h) $(htslib_hfile_h) $(htslib_thread_pool_h) $(htslib_hts_expr_h) $(samtools_h) $(sam_opts_h) $(bam_h) $(bedidx_h) $(sam_utils_h)
 sample.o: sample.c config.h $(sample_h) $(htslib_khash_h)
 stats_isize.o: stats_isize.c config.h $(stats_isize_h) $(htslib_khash_h)
 stats.o: stats.c config.h $(htslib_faidx_h) $(htslib_sam_h) $(htslib_hts_h) $(htslib_hts_defs_h) $(samtools_h) $(htslib_khash_h) $(htslib_kstring_h) $(stats_isize_h) $(sam_opts_h) $(bedidx_h)
 amplicon_stats.o: amplicon_stats.c config.h $(htslib_sam_h) $(htslib_khash_h) $(samtools_h) $(sam_opts_h) $(bam_ampliconclip_h)
-bam_markdup.o: bam_markdup.c config.h $(htslib_thread_pool_h) $(htslib_sam_h) $(sam_opts_h) $(samtools_h) $(htslib_khash_h) $(htslib_klist_h) $(htslib_kstring_h) $(tmp_file_h) $(bam_h)
-tmp_file.o: tmp_file.c config.h $(tmp_file_h) $(htslib_sam_h)

=== debian/changelog ===
samtools (1.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 Aug 2025 21:29:26 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                bash-completion,
                libio-pty-perl <!nocheck>,
                libncurses-dev,
-               libhts-dev (>= 1.21~),
+               libhts-dev (>= 1.22~),
                zlib1g-dev,
                automake,
                autoconf-archive,
@@ -18,7 +18,7 @@
                liblzma-dev,
                libbz2-dev
 # tabix is needed for the regression tests.
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/samtools
 Vcs-Git: https://salsa.debian.org/med-team/samtools.git
 Homepage: https://www.htslib.org/

=== debian/rules ===
--- 
+++ 
@@ -64,3 +64,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.md
+
+TEST_INSTALLDIR = $(CURDIR)/debian/samtools-test
+execute_after_dh_fixperms-indep:
+	chmod -x $(TEST_INSTALLDIR)/usr/share/samtools/test/mpileup/mp_2018.sam

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, tabix
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/samtools-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/ \
  https://github.com/samtools/samtools/tags .*/v?(\d\S*)\.tar\.gz
